<?php
	/**
	 * beetheme get categories
	*/
	if (class_exists('WP_Customize_Control')) {
	    class WP_Customize_Category_Control extends WP_Customize_Control {
	        /**
	         * Render the control's content.
	         *
	         * @since 3.4.0
	         */
	        public function render_content() {
	            $dropdown = wp_dropdown_categories(
	                array(
	                    'name'              => '_customize-dropdown-categories-' . $this->id,
	                    'echo'              => 0,
	                    'show_option_none'  => esc_html( '&mdash; Select Category &mdash;' ),
	                    'option_none_value' => 0,
	                    'selected'          => $this->value(),
	                )
	            );
	            $dropdown = str_replace( '<select', '<select ' . $this->get_link(), $dropdown );
	            printf(
	                '<label class="customize-control-select"><span class="customize-control-title">%s</span> %s</label>',
	                $this->label,
	                $dropdown
	            );
	        }
	    }
	}
	/**
	 * beetheme one page control
	*/
	function beetheme_onepage_show(){
		get_template_part('templates/homepage','sliders');
		get_template_part('templates/homepage','about');
		get_template_part('templates/homepage','features');
		get_template_part('templates/homepage','blogs');
		get_template_part('templates/homepage','portfolio');
		get_template_part('templates/homepage','testomonials');
		get_template_part('templates/homepage','pricing');
		get_template_part('templates/homepage','teams');
		get_template_part('templates/homepage','clients');
		get_template_part('templates/homepage','contact');
	}
	/**
	 * header link setting
	*/
	function header_color_link()
	{
	    ?>
	        <style type="text/css">
	            .navbar-default .navbar-nav li a { color: <?php echo beetheme_get_theme_mod('header_color_link_setting', '000')?>; }
	        </style>
	    <?php
	}
	add_action( 'wp_head', 'header_color_link');
	/**
	 * header background setting
	*/
	function header_background_color()
	{
	    ?>
	        <style type="text/css">
	            #nav { background: <?php echo beetheme_get_theme_mod('header_color_navbar_setting', '')?>; }
	        </style>
	    <?php
	}
	add_action( 'wp_head', 'header_background_color');
	/**
	 * about color setting
	*/
	function about_color_settings()
	{
	    ?>
	        <style type="text/css">
	            #about { background: <?php echo beetheme_get_theme_mod('about_background_setting', '#F9F9F9;')?>; }
	        </style>
	        <style type="text/css">
	            #about .section-heading { color: <?php echo beetheme_get_theme_mod('about_color_mainheading_setting', '#000')?>; }
	        </style>
	        <style type="text/css">
	            #about .section-subtitle { color: <?php echo beetheme_get_theme_mod('about_color_subheading_setting', '#999999')?>; }
	        </style>
	    <?php
	}
	add_action( 'wp_head', 'about_color_settings');
	/**
	 * feature color setting
	*/
	function feature_color_settings()
	{
	    ?>
	        <style type="text/css">
	            #features { background: <?php echo beetheme_get_theme_mod('feature_background_setting', '#F9F9F9;')?>; }
	        </style>
	        <style type="text/css">
	            #features .section-heading { color: <?php echo beetheme_get_theme_mod('feature_color_mainheading_setting', '#000')?>; }
	        </style>
	        <style type="text/css">
	            #features .section-subtitle { color: <?php echo beetheme_get_theme_mod('feature_color_subheading_setting', '#999999')?>; }
	        </style>
	    <?php
	}
	add_action( 'wp_head', 'feature_color_settings');
	/**
	 * portfolio color setting
	*/
	function portfolio_color_settings()
	{
	    ?>
	        <style type="text/css">
	            #portfolio { background: <?php echo beetheme_get_theme_mod('portfolio_background_setting', '#F9F9F9;')?>; }
	        </style>
	        <style type="text/css">
	            #portfolio .section-heading { color: <?php echo beetheme_get_theme_mod('portfolio_color_mainheading_setting', '#000')?>; }
	        </style>
	        <style type="text/css">
	            #portfolio .section-subtitle { color: <?php echo beetheme_get_theme_mod('portfolio_color_subheading_setting', '#999999')?>; }
	        </style>
	    <?php
	}
	add_action( 'wp_head', 'portfolio_color_settings');
	/**
	 * pricing color setting
	*/
	function price_color_settings()
	{
	    ?>
	        <style type="text/css">
	            #pricing { background: <?php echo beetheme_get_theme_mod('price_background_setting', '#fff;')?>; }
	        </style>
	        <style type="text/css">
	            #pricing .section-heading { color: <?php echo beetheme_get_theme_mod('price_color_mainheading_setting', '#000')?>; }
	        </style>
	        <style type="text/css">
	            #pricing .section-subtitle { color: <?php echo beetheme_get_theme_mod('price_color_subheading_setting', '#999999')?>; }
	        </style>
	    <?php
	}
	add_action( 'wp_head', 'price_color_settings');
	/**
	 * Blogs color setting
	*/
	function blogs_color_settings()
	{
	    ?>
	        <style type="text/css">
	            #blog { background: <?php echo beetheme_get_theme_mod('blog_section_color_setting', '#fff')?>; }
	        </style>
	        <style type="text/css">
	            .blog-content { color: <?php echo beetheme_get_theme_mod('blog_text_color_setting', '#d6cece')?>; }
	        </style>
	        <style type="text/css">
	            #blog .section-heading { color: <?php echo beetheme_get_theme_mod('blog_mainheading_color_setting', '#000')?>; }
	        </style>
	        <style type="text/css">
	            #blog .section-subtitle { color: <?php echo beetheme_get_theme_mod('blog_subheading_color_setting', '#999999')?>; }
	        </style>
	    <?php
	}
	add_action( 'wp_head', 'blogs_color_settings');
	/**
	 * Testimonials color setting
	*/
	function testimonials_color_settings()
	{
	    ?>
	        <style type="text/css">
	            #testimonial { background: <?php echo beetheme_get_theme_mod('testimonials_background_setting', '#fff')?>; }
	        </style>
	        <style type="text/css">
	            #testimonial .section-heading { color: <?php echo beetheme_get_theme_mod('testimonials_color_mainheading_setting', '#000')?>; }
	        </style>
	        <style type="text/css">
	            #testimonial .section-subtitle { color: <?php echo beetheme_get_theme_mod('testimonials_color_subheading_setting', '#999999')?>; }
	        </style>
	    <?php
	}
	add_action( 'wp_head', 'testimonials_color_settings');
	/**
	 * Team color setting
	*/
	function teams_color_settings()
	{
	    ?>
	        <style type="text/css">
	            #team { background: <?php echo beetheme_get_theme_mod('team_backgroundcolor_setting', '#F9F9F9')?>; }
	        </style>
	        <style type="text/css">
	            #team .section-heading { color: <?php echo beetheme_get_theme_mod('team_mainheading_setting', '#000')?>; }
	        </style>
	        <style type="text/css">
	            #team .section-subtitle { color: <?php echo beetheme_get_theme_mod('team_color_subheading_setting', '#999999')?>; }
	        </style>
	    <?php
	}
	add_action( 'wp_head', 'teams_color_settings');
	/**
	 * client color settings
	*/
	function client_mainheading_color()
	{
	    ?>
	        <style type="text/css">
	            #clients .section-heading { color: <?php echo beetheme_get_theme_mod('client_heading_color_setting', '#000')?>; }
	        </style>
	        <style type="text/css">
	            #clients .section-subtitle { color: <?php echo beetheme_get_theme_mod('client_subheading_color_setting', '#000')?>; }
	        </style>
	        <style type="text/css">
	            #clients { background: <?php echo beetheme_get_theme_mod('client_background_color_setting', '#fff')?>; }
	        </style>
	    <?php
	}
	add_action( 'wp_head', 'client_mainheading_color');
	/**
	 * contact color settings
	*/
	function contact_mainheading_color()
	{
	    ?>
	        <style type="text/css">
	            #contact .section-heading h3 { color: <?php echo beetheme_get_theme_mod('footer_mainheading_color_setting', '#fff')?>; }
	        </style>
	        <style type="text/css">
	           #contact .section-subtitle { color: <?php echo beetheme_get_theme_mod('footer_subheading_color_setting', '#fff')?>; }
	        </style>
	    <?php
	}
	add_action( 'wp_head', 'contact_mainheading_color');
	/**
	 * footer copy right
	*/
	function footer_copy_right() { ?>
		<div class="copyright">
			<p>
				&copy; <?php echo beetheme_get_theme_mod('copy_right_id',date('Y').' '.' Beetechnology Pvt.Ltd. All Rights Reserved')?>
			</p>
		</div>
		<div class="theme-info"><?php echo esc_html('Beetheme theme by') ?><a href="<?php echo esc_url('http://beetechno.com/') ?>"> <?php echo esc_html('Bee Technology')?></a></div>
	<?php
	}
	add_action('footer_copy_right_setup','footer_copy_right');